#ifndef AUD_FILE_H
#define AUD_FILE_H

#include <QFile>
#include <QObject>
#include <QString>

class AudFile : public QFile
{
    Q_OBJECT

private:

    qint64 offset;

public:

    AudFile(QObject *parent = 0);

    bool openFile(const QString &path);
    bool seek(qint64 pos);

    ~AudFile();
};

#endif // AUD_FILE_H
